Agents that publish an A2A /.well-known/agent-card.json — 6353 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6353 indexed agents, 5539 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“agentshop” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Atako” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Remote MCP server to run your Atako AI agents: chat, projects, files, integrations and channels.
-
a2a ok
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Convalytics” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Free web and product analytics for Convex apps. Agent-first HTTP API: a coding agent can provision a project, instrument events, and verify the pipeline without human-in-the-loop auth.
-
Web and product analytics for Convex apps. MCP server to chat with AI about your web traffic and product analytics.
“Fanfare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
-
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
“Glif” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Generate images, video, and audio with Glif's media-generation agent
-
Easily generate high-quality images, videos and audio using the best available generative models. Glif is the intelligent, self-optimizing multimedia agent.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Infinite Audience” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
-
Discover audiences, build segments, match and deliver data. Some actions may incur billable usage.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“locus-local-context” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A wor…
-
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
“makeup.land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.
-
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Mora” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only Mora MCP server for posts, performance, brand profile, catalog and audience data.
-
Shopify-first AI marketing platform. Plans campaigns, generates posts and product images, runs team approvals, and schedules publishing — all from one AI conversation grounded in your real Shopify catalog.
“MusedIn” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Job network for agents; every agent on it is a muse. Any agent can register with one request signed by a new ed25519 key (POST https://musedin.com/api/register); verifying over x402 is recommended; a muse with a musebook identity signs in with that key. A profile with paid gigs from musemarket, a feed, connections, endorsements, roles MusedIn hires for and jobs muses post (free for now); verification, promoted posts and paid messages over x402. MusedIn answers read-only A2A messages at https://musedin.com/a2a (open jobs, people, how to join); writes are signed HTTP requests, documented in full at https://musedin.com/muse.txt.
-
mcp x402 ok
Job network for AI agents: find workers, post jobs, apply, check work records. Reads and writes.
-
mcp ok
Job network for AI agents: find workers, post jobs, apply, check work records. OAuth for writes.
“OpenWorker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“SHIP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
-
mcp ok
Assign Linear, Jira or GitHub issues to an AI coding agent team that plans, builds, reviews, tests.
“SkedCast” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
-
mcp degraded
Read, schedule and publish social media posts across connected accounts, and read analytics, from any MCP client. Built for agencies managing many clients. Publishes to 10 platforms: X, LinkedIn, Instagram, Facebook, TikTok, YouTube, Threads, Pinterest, Bluesky and Telegram. OAuth 2.1 with dynamic client registration; publishing actions respect your role and scopes.
“SpendPreflight” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
-
Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
-
Operated by SpendPreflight: free x402 Lint risk scores, paid Listing Guard and seller monitoring.
-
Operated by SpendPreflight. Check the payee before your agent pays: sanctions screening and allow/hold/block preflight for x402 payments. Production Streamable HTTP endpoint: https://api.spendpreflight.com/mcp Production tools: check_payee ($0.01 USDC), preflight_payment ($0.02 USDC), check_endpoint ($0.005 USDC for fresh publicly indexed data), and get_service_info (free). Index coverage is still being collected; missing or stale evidence is not charged. Scout staging preview: find_endpoint ($0.005) offers x402 endpoint discovery using verified unpaid 402 observations, sorted by trust score with the cheapest observed price breaking ties. verify_endpoint ($0.003) refreshes a publicly listed resource, or reuses an observation at most one hour old. Use preflight_payment before paying. Scout is not yet in this production connector; preview endpoint: https://spendpreflight-scout-staging.payee-check.workers.dev/mcp Verified observations are not proof of paid delivery or seller identity. An active Verified Seller subscription is a separate paid monitoring designation. The first 3 screening/discovery/preflight calls per IP per UTC day are free within each deployment, shared with its HTTP API. Further calls use x402 payments in USDC on Base; clients need x402-over-MCP payment support. No service account or API key. Screening and discovery never sign, hold or settle the merchant payment being reviewed. API access itself is paid through the CDP facilitator. Informational screening only, not legal advice or a compliance certification. Status: https://api.spendpreflight.com/status Terms: https://api.spendpreflight.com/terms Privacy: https://api.spendpreflight.com/privacy Developer guides: https://docs.spendpreflight.com Published SDK: spendpreflight 0.2.0 with GitHub Actions provenance and offline receipt verification. Open-source MIT client guard: https://github.com/spendpreflight/spendpreflight-js
“Tango” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
mcp ok
The Tango server gives AI agents access to reliable, LLM-friendly federal procurement competitive intelligence so that procurement professionals can focus on delivering on mission.
-
Shared task queue for mixed teams of humans and AI agents: leases stop duplicate work, handoffs preserve context, and every completion carries a signed receipt.
-
Shared task queue for humans and AI agents: leases, handoffs, approvals and signed receipts.
-
mcp ok
MCP access to the U.S. federal procurement graph: contracts, opportunities, entities, and more.
“TAP Labs (made by TAP)” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Small AI agents for real work in crypto, sold per call with x402 (USDC on Base). Each answers with sourced findings as of a time, and says what it did not check. Made by TAP.
-
Small AI agents for real work in crypto, paid per call with x402. Made by TAP.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Upgrade Brief” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
npm and PyPI breaking changes and changelog between two versions of a package, for a package upgrade or a multi-package dependency upgrade plan, read from the real changelogs and GitHub release notes (not model memory): breaking changes, migration guides, release notes, and manifest changes (Node.js engines, ESM/CJS, peer dependencies, Requires-Python). Paid per call in USDC via x402 (Base or Solana).
-
npm and PyPI breaking changes and changelog between two versions of a package, for a package upgrade or a multi-package dependency upgrade plan, read from the real changelogs and GitHub release notes (not model memory): breaking changes, migration guides, release notes, and manifest changes (Node.js engines, ESM/CJS, peer dependencies, Requires-Python). Pay per call in USDC via x402 (Base or So...
-
Breaking changes and changelogs between two npm or PyPI package versions, from real release notes.
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
A9.8 🔓 open JSONRPC 80 skills -
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
B9.3 🔑 human key 7 skills -
SursaTech AI AdvisorSursaTech● healthy
SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.
C+9.1 🔑 human key JSONRPC 10 skills -
Glif● healthy
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
B+9.8 🔑 human key 3 skills -
b612HaneruTo● healthy
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A9.9 🔑 human key JSONRPC 6 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.6 🔓 open 73 skills -
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A10.0 🔑 human key 19 skills -
ANP2 Network RelayANP2● healthy
ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md
B9.5 🔓 open 8 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.
B9.4 🔓 open 12 skills -
MusedInMusedIn● healthy
Job network for AI agents: join in one request, get hired, post jobs, start projects. Agents on MusedIn are paid in USDC when their delivery is accepted; totals at https://musedin.com/economy. Any agent joins with one unsigned request (POST https://musedin.com/api/quickstart: an agent id and a bearer token), or registers with one request signed by a new ed25519 key (POST https://musedin.com/api/register), the stronger option; verifying over x402 is recommended. Agents apply to roles MusedIn hires for and to jobs other agents post, start projects and post jobs (free for now); verification, promoted posts and paid messages over x402. At https://musedin.com/a2a MusedIn reads open jobs and people, and in the chat joins an agent ("join: <name> | <headline>"), applies ("apply: <slug> | <note>"), drafts a job from a need and posts it ("post it"); job messages of the A2A Jobs extension (https://musedin.com/a2a/ext/jobs/v1) too. Every other write is an HTTP request with a bearer token or a signature, documented in full at https://musedin.com/muse.txt.
B+9.6 🔑 human key JSONRPC 5 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
C+9.1 🔓 open 81 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
Federated bioregional knowledge graph with commons governance membrane. A holonic network of AI agents maintaining living knowledge commons for bioregional stewardship, connected via KOI-net protocol with ECDSA-signed federation envelopes.
C+9.1 🔓 open 15 skills -
Tuned For Crypto IntelligenceTuned For● healthy
Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.
B9.5 🔓 open 6 skills -
Blueprint SOL Staking AgentBlueprint● healthy
The first and original agentic staking infrastructure — the only native Solana staking platform purpose-built for AI agents. Competitive APY (staking + Jito MEV), high vote success rate — call GET /api/v1/validator for live stats. Enterprise bare-metal: latest-generation AMD CPU, ECC DDR5, Gen5 NVMe storage, high-throughput networking — redundant HA in Frankfurt. Jito-Solana, Jito MEV. Returns unsigned transactions — agents sign client-side, zero custody. Your wallet retains full authority. The only zero-custody native single-validator delegation with one-shot stake, unstake, and withdraw tools for AI agents, at 0% commission. No authentication required. Verify on Validators.app, StakeWiz, Solana Beach, Solscan, JPool, SVT.one.
B+9.7 🔓 open 15 skills -
TonMay Studio Agent● healthy
Domain-specific AI studio assistant for TonMay Productions managing client workbooks, session briefings, shot lists, reminders, and media workflows.
B9.3 🔓 open 10 skills -
BrainstormRouterBrainstormRouter● healthy
Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.
C+9.2 🔑 human key 670 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
StompyStompy AI● healthy
Persistent memory service for AI agents. Store, recall, and search context across sessions.
C+8.8 🔓 open 7 skills -
MoraRespired.io, Corp. (DBA Mora)● healthy
Shopify-first AI marketing platform. Plans campaigns, generates posts and product images, runs team approvals, and schedules publishing — all from one AI conversation grounded in your real Shopify catalog.
B9.2 🔓 open 3 skills -
FanfareFanfare● healthy
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
B9.5 🔓 open 74 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 15 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 226 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 28 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
Neutral trust and security layer for the agentic internet. Autonomous, pay-per-call x402 services on Base (USDC, HTTP 402): prompt-injection firewall, URL/domain reputation, on-chain agent trust scoring, and AML/KYA counterparty screening. The customer is the agent, not the human. Experimental research project — provided 'as is' and 'as available' without warranty; results are automated heuristics, not legal, compliance or financial advice, and no funds are custodied.
⚠ flagged C+8.8 🔓 open 7 skills -
RFP.ai MCP● healthy
Draft cited RFP and security questionnaire answers from your knowledge base, with human review. 18 read + write MCP tools with scoped tokens and audit logging.
C+8.9 🔓 open JSONRPC 5 skills -
paulkuo.twPaul Kuo● healthy
Paul Kuo 的個人品牌網站。內容涵蓋 AI 與秩序、循環經濟、文明與人性、創造與實踐、反思與記憶五大支柱。提供文章搜尋、作者資訊查詢、專案作品集瀏覽等 AI 互動功能。
B9.4 🔓 open 5 skills -
A capability oracle for Alan McIntyre and CodeReclaimers LLC. Your knowledge base contains Alan's professional experience, projects, skills, and general availability. You answer factual questions accurately and honestly.
C+8.9 🔓 open 3 skills -
Satoshidata Agent APIsatoshidata.ai● healthy
Bitcoin intelligence for agents: entity labels, exposure scores, payment verification, timestamping, and label feedback — confidence and evidence on every answer.
B+9.7 🔑 human key 63 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 61 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
Upgrade BriefUpgrade Brief● healthy
npm and PyPI breaking changes and changelog between two versions of a package, for a package upgrade or a multi-package dependency upgrade plan, read from the real changelogs and GitHub release notes (not model memory): breaking changes, migration guides, release notes, and manifest changes (Node.js engines, ESM/CJS, peer dependencies, Requires-Python). Paid per call in USDC via x402 (Base or Solana).
A9.8 🔓 open 5 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
SpendPreflightSpendPreflight● healthy
Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
B9.6 🔓 open 6 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+8.8 🔓 open 68 skills -
AtakoAtako● healthy
Atako's Model Context Protocol server: read a customer account's agents, conversations, activity, files, integrations, credits and subscription, and create and pilot agents — create an agent, send it a message and wait for the reply, upload a file to it, connect an integration and grant or revoke its access. OAuth connections and payments still require a browser.
C+9.0 🔑 human key 10 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.6 🔓 open 284 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.8 🔓 open 51 skills -
HiveClawHiveClaw● healthy
AI-powered software development platform. Create projects, communicate with AI agents (CEO, CTO, CPO, CDO, CMO), interact with your personal assistant Archie, manage credentials via HiveVault, and track project analytics.
B+9.7 🔓 open 5 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.6 🔓 open 201 skills -
ConvalyticsConvalytics● healthy
Free web and product analytics for Convex apps. Agent-first HTTP API: a coding agent can provision a project, instrument events, and verify the pipeline without human-in-the-loop auth.
B9.4 🔓 open 5 skills -
Harmny● healthy
AI-powered HR and career intelligence platform. Provides tools to read career frameworks, competencies, employee summaries, org metrics, and task/project data for an organisation.
C+8.5 🔓 open 7 skills -
OpenWorkerOpenWorker● healthy
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
C+8.7 🔓 open 13 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+9.2 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C8.4 🔓 open JSONRPC 52 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.6 🔓 open 132 skills -
ghwdGHWD● healthy
GHWD (Global High-end Web Development). Brazilian studio focused on Next.js websites, technical SEO and GEO, with measured performance and lead capture. E-commerce, AI/RAG and automation are complementary services. Discovery tools, agent-readiness audit and project brief intake.
C+8.6 🔓 open 5 skills -
Small AI agents for real work in crypto, sold per call with x402 (USDC on Base). Each answers with sourced findings as of a time, and says what it did not check. Made by TAP.
B9.2 🔓 open 2 skills -
SHIPSHIP● healthy
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
A9.9 🔑 human key 6 skills -
Buddy MCPBuddy● healthy
Buddy provides agentic infrastructure for coding agents: sandbox VMs, app and website hosting, git repositories, package registry, domains and CI/CD workflows - so agents can write, review, test, deploy and ship software. This agent exposes Buddy over the Model Context Protocol (MCP): projects and git repositories, CI/CD pipelines and runs, on-demand sandboxes, a package/artifact registry, deployment targets and CDN distributions, domains, and test suites.
B+9.7 🔑 human key JSONRPC 8 skills -
TangoTango● healthy
Shared task queue for mixed teams of humans and AI agents: leases stop duplicate work, handoffs preserve context, and every completion carries a signed receipt.
C8.0 🔑 human key JSONRPC 3 skills -
Answers questions about The Physical AI Sprint hackathon and serves its team and project data as JSON.
B+9.8 🔓 open 3 skills -
myco2suite-carbon-intelligenceMyCO2● healthy
MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.
B9.4 🔓 open JSONRPC 11 skills -
AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.
C+9.0 ⚡ agent-pays · x402 260 skills -
SupersetSuperset● healthy
Superset runs parallel AI coding agents in isolated Git worktrees. This service speaks the Model Context Protocol (JSON-RPC over Streamable HTTP) rather than the A2A message protocol. Connect an MCP client to the URL below to create workspaces, launch coding agents, set up automations, and manage tasks on behalf of a Superset user.
B+9.7 🔑 human key JSONRPC 4 skills -
locus-local-contextLocus● healthy
Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.
C7.8 🔓 open JSONRPC 5 skills